# LogicalChain Class Reference
[Logical expressions used in OSQL and Form]

Wrapper around given childs of LogicalObject with custom logic-glue's. More...

Inheritance diagram for LogicalChain:
[legend]

List of all members.

## Public Member Functions

| expAnd (LogicalObject $exp)
| expOr (LogicalObject $exp)
| toBoolean (Form $form)

## Static Public Member Functions

static | block ($args, $logic)

## Static Private Member Functions

static | calculateBoolean ($logic, $left, $right)

## Detailed Description

Wrapper around given childs of LogicalObject with custom logic-glue's.

Definition at line 17 of file LogicalChain.class.php.

## Member Function Documentation

static LogicalChain::block | ( | $ | args,
|  | $ | logic |
| ) |  |  | `[static]`

Returns:
  LogicalChain

Definition at line 22 of file LogicalChain.class.php.

References $args, SQLChain::$logic, BinaryExpression::EXPRESSION_AND, BinaryExpression::EXPRESSION_OR, and Assert::isTrue().

Here is the call graph for this function:

static LogicalChain::calculateBoolean | ( | $ | logic,
|  | $ | left,
|  | $ | right |
| ) |  |  | `[static, private]`

Definition at line 94 of file LogicalChain.class.php.

References SQLChain::$logic, BinaryExpression::EXPRESSION_AND, BinaryExpression::EXPRESSION_OR, and Assert::isUnreachable().

Referenced by toBoolean().

Here is the call graph for this function:

LogicalChain::expAnd | ( | LogicalObject $ | exp | ) |

Returns:
  LogicalChain

Definition at line 51 of file LogicalChain.class.php.

References SQLChain::exp(), and BinaryExpression::EXPRESSION_AND.

Here is the call graph for this function:

LogicalChain::expOr | ( | LogicalObject $ | exp | ) |

Returns:
  LogicalChain

Definition at line 59 of file LogicalChain.class.php.

References SQLChain::exp(), and BinaryExpression::EXPRESSION_OR.

Here is the call graph for this function:

LogicalChain::toBoolean | ( | Form $ | form | ) |

Definition at line 64 of file LogicalChain.class.php.

References SQLChain::$chain, calculateBoolean(), and Assert::isUnreachable().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Logic/LogicalChain.class.php